/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160108-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt10.dat, Sat Jan 12 10:19:48 2019
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000141 (321)
 *     Revision         0x02
 *     Checksum         0xB7
 *     OEM ID           "ALASKA"
 *     OEM Table ID     "A M I"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20160422 (538313762)
 */
DefinitionBlock ("ssdt10.aml", "SSDT", 2, "ALASKA", "A M I", 0x00000000)
{

    External (_SB_.PCI0.HDAS, DeviceObj)
    External (ADPM, UnknownObj)
    External (AG1H, UnknownObj)
    External (AG1L, UnknownObj)
    External (AG2H, UnknownObj)
    External (AG2L, UnknownObj)
    External (AG3H, UnknownObj)
    External (AG3L, UnknownObj)

    If (Zero)
    {
        External (\_SB.PCI0.HDAS, 0x06, 0x00)
        External (\ADPM, 0x01, 0x00)
        External (\AG1L, 0x01, 0x00)
        External (\AG1H, 0x01, 0x00)
        External (\AG2L, 0x01, 0x00)
        External (\AG2H, 0x01, 0x00)
        External (\AG3L, 0x01, 0x00)
        External (\AG3H, 0x01, 0x00)
    }

    Scope (\_SB.PCI0.HDAS)
    {
        Method (PPMS, 1, Serialized)
        {
            If ((Arg0 == ToUUID ("7c708106-3aff-40fe-88be-8c999b3f7445")))
            {
                Return ((ADPM & 0x04))
            }

            If ((Arg0 == ToUUID ("ec774fa9-28d3-424a-90e4-69f984f1eeb7")))
            {
                Return ((ADPM & 0x0100))
            }

            If ((Arg0 == ACCG (AG1L, AG1H)))
            {
                Return ((ADPM & 0x20000000))
            }

            If ((Arg0 == ACCG (AG2L, AG2H)))
            {
                Return ((ADPM & 0x40000000))
            }

            If ((Arg0 == ACCG (AG3L, AG3H)))
            {
                Return ((ADPM & 0x80000000))
            }

            Return (Zero)
        }

        Method (ACCG, 2, NotSerialized)
        {
            Name (GBUF, Buffer (0x10) {})
            Concatenate (Arg0, Arg1, GBUF) /* \_SB_.PCI0.HDAS.ACCG.GBUF */
            Return (GBUF) /* \_SB_.PCI0.HDAS.ACCG.GBUF */
        }
    }
}

