/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160108-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt19.dat, Sat Jan 12 10:19:48 2019
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000000BA (186)
 *     Revision         0x02
 *     Checksum         0x83
 *     OEM ID           "PmRef"
 *     OEM Table ID     "Cpu0Hwp"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20160422 (538313762)
 */
DefinitionBlock ("ssdt19.aml", "SSDT", 2, "PmRef", "Cpu0Hwp", 0x00003000)
{

    External (_PR_.CFGD, UnknownObj)
    External (_PR_.HWPA, UnknownObj)
    External (_PR_.HWPV, UnknownObj)
    External (_PR_.PR00, DeviceObj)
    External (_PR_.PR00.CPC2, UnknownObj)
    External (_PR_.PR00.CPOC, UnknownObj)
    External (CPC2, IntObj)
    External (CPOC, IntObj)
    External (TCNT, UnknownObj)

    If (Zero)
    {
        External (\_PR.PR00, 0x06, 0x00)
        External (\TCNT, 0x05, 0x00)
        External (\_PR.HWPV, 0x01, 0x00)
        External (\_PR.HWPA, 0x05, 0x00)
        External (\_PR.PR00.CPC2, 0x04, 0x00)
        External (\_PR.PR00.CPOC, 0x04, 0x00)
        External (\_PR.CFGD, 0x01, 0x00)
    }

    Scope (\_PR.PR00)
    {
        Method (_CPC, 0, NotSerialized)  // _CPC: Continuous Performance Control
        {
            If ((\_PR.CFGD & 0x01000000))
            {
                Return (CPOC) /* External reference */
            }
            Else
            {
                Return (CPC2) /* External reference */
            }
        }
    }
}

