/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160108-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt5.dat, Sat Jan 12 10:19:48 2019
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000002E9 (745)
 *     Revision         0x02
 *     Checksum         0xBA
 *     OEM ID           "ALASKA"
 *     OEM Table ID     "A M I"
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20160422 (538313762)
 */
DefinitionBlock ("ssdt5.aml", "SSDT", 2, "ALASKA", "A M I", 0x00000001)
{
    /*
     * iASL Warning: There were 3 external control methods found during
     * disassembly, but additional ACPI tables to resolve these externals
     * were not specified. This resulting disassembler output file may not
     * compile because the disassembler did not know how many arguments
     * to assign to these methods. To specify the tables needed to resolve
     * external control method references, the -e option can be used to
     * specify the filenames. Note: SSDTs can be dynamically loaded at
     * runtime and may or may not be available via the host OS.
     * Example iASL invocations:
     *     iasl -e ssdt1.aml ssdt2.aml ssdt3.aml -d dsdt.aml
     *     iasl -e dsdt.aml ssdt2.aml -d ssdt1.aml
     *     iasl -e ssdt*.aml -d dsdt.aml
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     * Invocation:
     *     iasl -fe refs.txt -d dsdt.aml
     *
     * The following methods were unresolved and many not compile properly
     * because the disassembler had to guess at the number of arguments
     * required for each:
     */
    External (_SB_.CGWR, MethodObj)    // Warning: Unresolved method, guessing 0 arguments
    External (_SB_.SGOV, MethodObj)    // Warning: Unresolved method, guessing 2 arguments
    External (WGUR, MethodObj)    // Warning: Unresolved method, guessing 1 arguments

    External (_SB_.PCI0.GPCB, IntObj)
    External (_SB_.PCI0.RP12, DeviceObj)
    External (_SB_.PCI0.RP12._ADR, UnknownObj)
    External (_SB_.PCI0.RP12.PXSX, DeviceObj)
    External (_SB_.PCI0.RP12.PXSX._ADR, UnknownObj)
    External (NEXP, UnknownObj)
    External (PXSX, DeviceObj)
    External (WDC2, IntObj)
    External (WDCT, IntObj)
    External (WLCT, IntObj)
    External (WMNS, IntObj)
    External (WMXS, IntObj)

    If (Zero)
    {
        External (\_SB.SGOV, 0x08, 0x02)
        External (\_SB.CGWR, 0x08, 0x04)
        External (\_SB.PCI0.RP12, 0x06, 0x00)
        External (\_SB.PCI0.RP12.PXSX, 0x06, 0x00)
        External (\_SB.PCI0.RP12._ADR, 0x08, 0x00)
        External (\_SB.PCI0.RP12.PXSX._ADR, 0x01, 0x00)
        External (\_SB.PCI0.GPCB, 0x08, 0x00)
        External (\NEXP, 0x01, 0x00)
        External (\WGUR, 0x01, 0x00)
        External (\WDCT, 0x01, 0x00)
        External (\WLCT, 0x01, 0x00)
        External (\WDC2, 0x01, 0x00)
        External (\WMXS, 0x01, 0x00)
        External (\WMNS, 0x01, 0x00)
    }

    Name (RSTP, Package (0x04)
    {
        0x02, 
        Zero, 
        0x16, 
        Zero
    })
    Scope (\_SB.PCI0.RP12)
    {
        Method (M2PC, 1, Serialized)
        {
            Local0 = \_SB.PCI0.GPCB /* External reference */
            Local0 += ((Arg0 & 0x001F0000) >> One)
            Local0 += ((Arg0 & 0x07) << 0x0C)
            Return (Local0)
        }

        Method (GMIO, 1, Serialized)
        {
            OperationRegion (PXCS, SystemMemory, M2PC (\_SB.PCI0.RP12._ADR), 0x20)
            Field (PXCS, AnyAcc, NoLock, Preserve)
            {
                Offset (0x18), 
                PBUS,   8, 
                SBUS,   8
            }

            Local0 = \_SB.PCI0.GPCB /* External reference */
            Local0 += ((Arg0 & 0x001F0000) >> One)
            Local0 += ((Arg0 & 0x07) << 0x0C)
            Local0 += (SBUS << 0x14)
            Return (Local0)
        }

        Scope (PXSX)
        {
            Method (_RST, 0, Serialized)  // _RST: Device Reset
            {
                OperationRegion (PXCS, SystemMemory, GMIO (\_SB.PCI0.RP12.PXSX._ADR), 0x0480)
                Field (PXCS, AnyAcc, NoLock, Preserve)
                {
                    VDID,   16, 
                    DVID,   16, 
                    Offset (0x78), 
                    DCTL,   16, 
                    DSTS,   16, 
                    Offset (0x80), 
                    LCTL,   16, 
                    LSTS,   16, 
                    Offset (0x98), 
                    DCT2,   16, 
                    Offset (0x148), 
                    Offset (0x14C), 
                    MXSL,   16, 
                    MNSL,   16
                }

                \_SB.SGOV (\WGUR (Zero), Sleep (0xC8))
                Notify (\_SB.PCI0.RP12.PXSX, One) // Device Check
                If ((DerefOf (RSTP [Zero]) != Zero))
                {
                    \_SB.CGWR ()
                    DerefOf (RSTP [Zero])
                    DerefOf (RSTP [One])
                    DerefOf (RSTP [0x02])
                    DerefOf (RSTP [0x03])
                }

                \_SB.SGOV (\WGUR (One), Sleep (0xC8))
                If ((NEXP == Zero))
                {
                    DCTL = \WDCT /* External reference */
                    LCTL = \WLCT /* External reference */
                    DCT2 = \WDC2 /* External reference */
                    MXSL = \WMXS /* External reference */
                    MNSL = \WMNS /* External reference */
                }

                Notify (\_SB.PCI0.RP12.PXSX, One) // Device Check
            }
        }
    }
}

