/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160108-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt3.dat, Sat Jan 12 10:19:48 2019
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000029F (671)
 *     Revision         0x02
 *     Checksum         0x8A
 *     OEM ID           "ALASKA"
 *     OEM Table ID     "A M I"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20160422 (538313762)
 */
DefinitionBlock ("ssdt3.aml", "SSDT", 2, "ALASKA", "A M I", 0x00000000)
{
    /*
     * iASL Warning: There were 2 external control methods found during
     * disassembly, but additional ACPI tables to resolve these externals
     * were not specified. This resulting disassembler output file may not
     * compile because the disassembler did not know how many arguments
     * to assign to these methods. To specify the tables needed to resolve
     * external control method references, the -e option can be used to
     * specify the filenames. Note: SSDTs can be dynamically loaded at
     * runtime and may or may not be available via the host OS.
     * Example iASL invocations:
     *     iasl -e ssdt1.aml ssdt2.aml ssdt3.aml -d dsdt.aml
     *     iasl -e dsdt.aml ssdt2.aml -d ssdt1.aml
     *     iasl -e ssdt*.aml -d dsdt.aml
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     * Invocation:
     *     iasl -fe refs.txt -d dsdt.aml
     *
     * The following methods were unresolved and many not compile properly
     * because the disassembler had to guess at the number of arguments
     * required for each:
     */
    External (_SB_.GGOV, MethodObj)    // Warning: Unresolved method, guessing 4 arguments
    External (_SB_.SGOV, MethodObj)    // Warning: Unresolved method, guessing 2 arguments

    External (_SB_.PCI0.I2C0.DFUD, UnknownObj)
    External (GPBS, UnknownObj)
    External (SDS0, UnknownObj)
    External (SHAP, UnknownObj)
    External (USBH, UnknownObj)

    If (Zero)
    {
        External (\SHAP, 0x00, 0x00)
        External (\GPBS, 0x00, 0x00)
        External (\SDS0, 0x00, 0x00)
        External (\USBH, 0x00, 0x00)
        External (\_SB.GGOV, 0x08, 0x01)
        External (\_SB.SGOV, 0x08, 0x02)
        External (\_SB.PCI0.I2C0.DFUD, 0x06, 0x00)
    }

    Scope (\)
    {
        Device (SHAD)
        {
            Name (_HID, EisaId ("INT33D0"))  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0C02") /* PNP Motherboard Resources */)  // _CID: Compatible ID
            Method (_STA, 0, Serialized)  // _STA: Status
            {
                If (((SDS0 & One) || (USBH & One)))
                {
                    Return (0x0F)
                }

                Return (Zero)
            }

            Method (_DSM, 4, Serialized)  // _DSM: Device-Specific Method
            {
                Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                Name (PGCE, Zero)
                Name (PGCD, Zero)
                Name (PGCG, 0x2E)
                Name (DFUE, Zero)
                Name (DFUD, Zero)
                Name (OLDV, Zero)
                Name (PGCV, Zero)
                Name (DFUV, Zero)
                If ((Arg0 == ToUUID ("03c868d5-563f-42a8-9f57-9a18d949b7cb")))
                {
                    If ((SHAP == One))
                    {
                        PGCG = 0x3A
                    }

                    If ((ToInteger (Arg1) >= One))
                    {
                        While (One)
                        {
                            _T_0 = ToInteger (Arg2)
                            If ((_T_0 == Zero))
                            {
                                Return (Buffer (One)
                                {
                                     0x0F                                             /* . */
                                })
                            }
                            ElseIf ((_T_0 == One))
                            {
                                PGCE = DerefOf (Arg3 [Zero])
                                PGCD = DerefOf (Arg3 [One])
                                Store (\_SB.GGOV (0x02010016, OLDV, \_SB.SGOV (0x02010016, PGCE), If ((PGCD > Zero))
                                        {
                                            Sleep (PGCD)
                                            \_SB.GGOV (0x02010016, OLDV, If ((\_SB.GGOV (0x02010016, One, Sleep (0x96), If ((
                                                \_SB.GGOV (0x02010014, One, Else
                                                                        {
                                                                            Notify (\_SB.PCI0.I2C0.DFUD, One) // Device Check
                                                                        }, Return (Zero)) == ElseIf ((_T_0 == 0x02))
                                                                    {
                                                                        DFUE = DerefOf (Arg3 [Zero])
                                                                        DFUD = DerefOf (Arg3 [One])
                                                                        Store (\_SB.GGOV (0x02010014, OLDV, \_SB.GGOV (0x02010014, DFUE, If ((DFUD > Zero))
                                                                                    {
                                                                                        Sleep (DFUD)
                                                                                        \_SB.GGOV (0x02010014, OLDV, Return (Zero), ElseIf ((_T_0 == 0x03))
                                                                                            {
                                                                                                Return (Buffer (One)
                                                                                                    {
                                                                                                         0x00                                             /* . */
                                                                                                    }) = \_SB.GGOV (0x02010014, DFUV, Return (Zero) = \_SB.GGOV (
                                                                                                    0x02010016, PGCV, Return (Package (0x02)
                                                                                                                {
                                                                                                                    PGCV, 
                                                                                                                    DFUV
                                                                                                                }), Break), Return (Zero))
                                                                                            })
                                                                                    }))
                                                                    })) {}) == )) {})
                                        })
                            }
                        }
                    }
                }
            }
        }
    }
}

